Bug 1003419 - sdcc included non-free files.
Summary: sdcc included non-free files.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sdcc (Show other bugs)
(Show other bugs)
Version: 19
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alain Portal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2013-09-01 23:49 UTC by mejiko
Modified: 2013-09-14 02:29 UTC (History)
3 users (show)

Fixed In Version: sdcc-3.3.0-0.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-14 02:29:27 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 597933 None None None Never

Description mejiko 2013-09-01 23:49:17 UTC
Hello.

sdcc included non-free files.

Files:

sdcc/device/non-free/lib/pic16/libdev/*
sdcc/device/non-free/lib/pic14/libdev/*
sdcc/device/non-free/include/pic14/*
sdcc/device/non-free/include/pic16/*

There files license is "only use with foobar" like (product specific like) restriction. (See sdcc/doc/README.txt) 

product specific like restriction is non-free. (This is not firmware.)


Suggests:

1. Remove non-free source and rebuild. 

2. Replace Fedora free (fedora acceptable licensed) files.

3. Remove fedora repos.

Thanks.

Reference:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=597933

Comment 1 mejiko 2013-09-01 23:49:53 UTC
Blocking FE-Legal, This is license problem.

Comment 2 Fedora Update System 2013-09-02 12:23:09 UTC
sdcc-3.3.0-0.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sdcc-3.3.0-0.fc19

Comment 3 Fedora Update System 2013-09-02 23:29:13 UTC
Package sdcc-3.3.0-0.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sdcc-3.3.0-0.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15661/sdcc-3.3.0-0.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-09-14 02:29:27 UTC
sdcc-3.3.0-0.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.